import { RouterModule, RouterOutlet } from '@angular/router';
import { ChangeDetectionStrategy, Component, OnInit } from '@angular/core';
import { NzLayoutModule } from 'ng-zorro-antd/layout';
import { CommonModule } from '@angular/common';
import { HeaderComponent } from '../../../../+shell/ui/components/header/feature/header.component';

@Component({
  selector: 'admin-layout',
  standalone: true,
  imports: [
    RouterOutlet,
    NzLayoutModule,
    RouterModule,
    CommonModule,
    HeaderComponent,
  ],
  template: `
    <nz-layout class="tw-min-h-screen">
      <meu-header></meu-header>
      
      <nz-content class="tw-flex-1">
        <div class="tw-container tw-mx-auto tw-px-4 tw-py-6">
          <router-outlet></router-outlet>
        </div>
      </nz-content>
    </nz-layout>
  `,
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class AdminLayoutComponent implements OnInit {
  constructor() {}
  ngOnInit(): void {}
}
